Skip to main content
GET
/
v1
/
ai-variables
/
{aiVariableId}
Get an AI variable
curl --request GET \
  --url https://openapi.enginy.ai/v1/ai-variables/{aiVariableId} \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "id": 123,
    "name": "<string>",
    "prompt": "<string>",
    "model": "<string>",
    "outputSchema": {
      "type": "text",
      "values": [
        "<string>"
      ],
      "provideExplanation": true,
      "jsonSchema": "<string>"
    },
    "search": true,
    "entity": "CONTACT",
    "folderId": 123,
    "customWebsiteField": "<string>",
    "description": "<string>",
    "isPublic": true,
    "archivedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

aiVariableId
string
required

The AI variable ID

Response

AI variable retrieved successfully

status
enum<string>
required
Available options:
success
message
string
required
data
object
required